# igree

```
TEST DATA

number: 54651333604
channel: 0701***2345
otp: 123456
```

## BVN information retrieval

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v2/biometrics/merchant/data/verification/bvn/igree`

This endpoint allows you to get details of a BVN.

#### Headers

| Name                                        | Type   | Description        |
| ------------------------------------------- | ------ | ------------------ |
| x-api-key<mark style="color:red;">\*</mark> | string | \<your secret key> |
| app-id<mark style="color:red;">\*</mark>    | String | \<your app id>     |

#### Request Body

| Name                                      | Type   | Description                          |
| ----------------------------------------- | ------ | ------------------------------------ |
| number<mark style="color:red;">\*</mark>  | string | bank verification number             |
| mode<mark style="color:red;">\*</mark>    | String | INITIATE,SET\_CHANNEL,FINALIZE       |
| channel<mark style="color:red;">\*</mark> | String | string of the contact to recieve OTP |
| otp<mark style="color:red;">\*</mark>     | String | the OTP sent to customer             |
| verification\_method                      | String | "email", "phone", "all"              |

{% tabs %}
{% tab title="200 "INITIATE" Response" %}

```json
{
    "status": true,
    "detail": "These are the contact details tied to your BVN. Choose where you want the OTP delivered.",
    "contacts": [
        "0810***7788"
    ]
}
```

{% endtab %}

{% tab title="200: OK "SET\_CHANNEL" response" %}

```json
{
    "status": true,
    "detail": "Please provide the OTP sent to 0810***7788"
}
```

{% endtab %}

{% tab title="200: OK "FINALIZE" Response" %}
{% code overflow="wrap" %}

```json
{ "status":true,
 "response_code":"00",
 "data":
{
  "marital_status": "Divorcee",
  "gender": "Male",
  "surname": "Certifier", 
  "middle_name": "N",
  "first_name": "Nibby",
  "enroll_user_name": "Akinwale",
  "nationality": "Nigeria",
  "state_of_origin": "ebonyi state",
  "lga_of_origin": "Afikpo North",
  "nin": "920-466-4282",
  "phone_number2": "07089374787",
  "title": "Ms",
  "watchlisted": 901,
  "additional_info_1": "NC/",
  "DateOfBirth": "1976-11-30T00:00:00+01:00",
  "face_image": ""
}
}
```

{% endcode %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/products/data-verification/nigeria/bvn-verification/bvn-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
